<template>
  <input
    @click="handleClick"
    type="button"
    :value="text"
    :disabled="disabled"
    class="
    p-5 font-bold text-lg bg-red cursor-pointer
    active:bg-red-dark hover:bg-red-darker
    disabled:cursor-not-allowed disabled:opacity-50 disabled:bg-red-darker
    text-white rounded-lg w-full
"
  >
</template>

<script>
export default {
  name: "CommonBtn",
  props: {
    text: {
      type: String,
      default: 'Button',
    },
    disabled: {
      type: Boolean,
      default: false,
    }
  },
  methods: {
    handleClick() {
      if (!this.disabled) {
        this.$emit('click')
      }
    }
  }
}
</script>

<style scoped>

</style>
